<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO;

class SolicitacaoCCompra extends \Teknisa\DF\Controllers\TeknisaCrud
{
    const DATASOURCE_NOTAFISCAL_CC = 'solicitacaoCCompra';

    protected $dataSourceName = 'solicitacaoCCompra';
    protected $parameterBagColumns = array(
        'P_CDFILIAL',
        'P_FILIDEST',
        'P_CDFILILANC',
        'P_NRNUMESOLI'
    );

    public function find(DTO\Request\Filter $request, DTO\Response $response) {

        $filterCriteria = $request->getFilterCriteria();
        $conditions = $filterCriteria->getConditions();

        $keyRemoveUNDCONSULTA = null;

        foreach ($conditions as $key => $condition) {

            if ($condition['columnName'] === 'UNDCONSULTA') {

                $UNDCONSULTA = str_split($condition['value']);

                switch ($UNDCONSULTA) {
                    case in_array('CC', $UNDCONSULTA):
                        $this->dataSourceName = self::DATASOURCE_NOTAFISCAL_CC;
                        break;
                    case in_array('UL', $UNDCONSULTA):
                        $this->dataSourceName = self::DATASOURCE_NOTAFISCAL_UL;
                        break;
                }
                $keyRemoveUNDCONSULTA = $key;
            }
        }
        if (is_numeric($keyRemoveUNDCONSULTA))
            array_splice($conditions, $keyRemoveUNDCONSULTA, 1);

        parent::find($request, $response);
    }
}